#!/bin/sh

SOURCES="__init__.py __init__.pyc simplexml.py simplexml.pyc"
BIN="simplexml"

if [ `id -u` = 0 ]; then
	PACKAGESDIR=`python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"`
	install -d -m 0755 $PACKAGESDIR/simplexml
	install -m 0644 $SOURCES $PACKAGESDIR/simplexml
	install -m 0755 $BIN /usr/bin
else
	echo "You are not root. For user-installation, add line to you profile:"
	pythonpath=${PYTHONPATH+\$PYTHONPATH:}`pwd|sed "s\\\\^$HOME\\\\\\\$HOME\\\\"`
	pythonpath="export PYTHONPATH=$pythonpath"
	path=${PATH+\$PATH:}`pwd|sed "s\\\\^$HOME\\\\\\\$HOME\\\\"`
	path="export PATH=$path"
	echo $pythonpath
	echo $path
	shell=`grep ^$USER </etc/passwd|sed 's/.*://'`
	shell=`basename $shell`
	case $shell in
		sh|ksh) profile=.profile;;
		bash) profile=.bash_profile;;
		*) profile=
	esac
	if [ -n "$profile" ]; then
		echo -n "Do you wish to append these two lines to your $profile [Yn]? "
		read q
		[ -z "$q" ] && q=y
		case $q in
			Y|y|yes)
				grep "^$pythonpath" $HOME/$profile >/dev/null ||
					echo $pythonpath>>$HOME/$profile
				grep "^$path" $HOME/$profile >/dev/null ||
					echo $path>>$HOME/$profile
				;;
			*) break;;
		esac
	fi
fi
